:root {
    --accent: #0d7fea;
}

.main-wrapper {
    height: 100%;
    width: 75%;
    max-width: 50rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    gap: 0.6rem;
    padding: 1rem;
    overflow: hidden;
    position: relative;

    padding-bottom: 0;
}

.header {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    margin-bottom: 0.6rem;
}

.header h1 {
    font-family: var(--font-title);
    font-size: 2rem;
    font-weight: 200;
    line-height: 1;
    color: var(--text);
}

.header h1 span {
    color: var(--accent);
}

.header p {
    font-size: 0.75rem;
    opacity: 0.45;
    font-style: italic;
}

.header p span {
    font-size: 1.2rem;
    font-style: normal;
}

.page-wrapper {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: row;
    gap: 1.5rem;

    overflow: hidden;
}

/*#region GENERAL*/
.content {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    overflow-y: auto;
    /* margin-bottom: 2rem; */
}

.content .section {
    display: none;
}

.content .section.visible {
    display: flex;
    flex-direction: column;
    padding-bottom: 2rem;
    animation: fadeInSection 0.3s ease-out forwards;
}

.content .section .section-title {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 0.5rem;
    margin-bottom: 0.5rem;
}

.section-title .title {
    font-family: var(--font-title);
    font-size: 1.3rem;

    color: var(--text);
}

.section-title .line {
    flex: 1;

    margin-top: 0.3rem;

    border-bottom: dotted 0.15rem var(--border);
}

.section-content {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.disclaimer {
    background-color: var(--surface);
    padding: 0.4rem 0.6rem;

    border-radius: 0.3rem;
    overflow: hidden;

    font-size: 0.8rem;
    font-weight: 200;

    opacity: 0.8;

    position: relative;
}

.disclaimer b {
    font-weight: 500;
}

.disclaimer::before {
    position: absolute;
    content: '';
    left: 0;
    top: 0;
    width: 0.2rem;
    height: 100%;
    background-color: var(--accent);
}

.section-content a {
    text-decoration: underline;
    font-weight: 500;
}

.section-content a:hover {
    color: var(--accent);
}

.section-content b {
    font-weight: 500;
}

/*#endregion*/

/*#region SIDEBAR*/
.sidebar {
    height: 100%;
    width: 16rem;

    display: flex;
    flex-direction: column;

    overflow-y: auto;
}

.sidebar .title {
    font-size: 0.7rem;
    font-weight: 600;
    margin-bottom: 0.3rem;
    opacity: 0.4;
}

.sidebar-section .nav-section {
    display: flex;
    flex-direction: column;
    gap: 0.2rem;

    margin-bottom: 1.2rem;
}

.sidebar-section .nav-section .section-name {
    font-size: 0.9rem;
    font-weight: 200;

    padding: 0.2rem 0.6rem;
    border-radius: 0.4rem;
    opacity: 0.6;

    cursor: pointer;

    transition: padding-left 0.2s ease;
}

.sidebar-section .nav-section .section-name.active {
    background-color: var(--surface);
    font-weight: 700;
    color: var(--accent);
    opacity: 1;
}

.sidebar-section .nav-section .section-name:hover {
    background-color: var(--surface);
    opacity: 0.8;
    padding-left: 0.8rem;
}

.section-name:active {
    transform: scale(0.98);
    transition: transform 0.1s ease;
}

.sidebar-section .nav-section .section-name.active:hover {
    padding-left: 0.6rem;
    opacity: 1;
}

.sidebar-section .basic-info {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.sidebar-section .basic-info .row {
    font-size: 0.9rem;
    font-weight: 200;

    padding: 0.5rem 0.6rem;
    border-radius: 0.4rem;
    border: 0.1rem solid var(--border);

    display: flex;
    flex-direction: row;
    justify-content: space-between;

    /* cursor: pointer; */
}

.sidebar-section .basic-info .row .label {
    opacity: 0.8;
}

.sidebar-section .basic-info .row .value {
    font-weight: 500;
}

.sidebar-section .basic-info .row .value.ask {
    color: #fabb1d;
    font-weight: 800;
}

/*#endregion*/

/*#region PRICES*/

.prices-table {
    width: 100%;
    border: solid 0.1rem var(--border);
    border-radius: 0.6rem;
    padding: 0.3rem 0.5rem;
    padding-bottom: 0.6rem;
}

.prices-table .inner {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 1rem;

    padding-left: 0.4rem;
}

.section.prices .table-title {
    font-size: 1rem;
    font-weight: 600;
    opacity: 0.8;
}

.prices-table .type {
    width: 100%;
    display: flex;
    flex-direction: column;
}

.type .type-name {
    font-size: 0.7rem;
    font-weight: 800;
    opacity: 1;

    color: var(--accent);
    margin-top: 0.3rem;
    margin-bottom: 0.1rem;
}

.type .table {
    border: solid 0.1rem var(--border);
    border-radius: 0.5rem;

    background-color: var(--surface);

    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    padding: 0.5rem;

    overflow: hidden;

    flex: 1;
    min-height: 0;
}

.type .table .row {
    background-color: var(--bg);

    padding: 0.3rem 0.5rem;

    border-radius: 0.3rem;

    font-size: 0.9rem;

    display: flex;
    flex-direction: column;

    flex: 1;

    border-left: 0.15rem solid transparent;
    transition: border-color 0.2s, padding-left 0.2s;
}

.darkmode .type .table {
    background-color: var(--surface-accent);
}

.darkmode .type .table .row {
    background-color: var(--surface);
}

/* .type .table .row:hover {
    border-left-color: var(--accent);
    padding-left: 0.8rem;
} */

.type .table .row .top {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.type .table .row .label {
    font-size: 0.9rem;
    font-weight: 300;
    /* opacity: 0.8; */
}

.type .table .row .value {
    font-weight: 500;
    /* opacity: 0.8; */
}

.type .table .row .detail {
    font-size: 0.7rem;
    font-style: italic;
    opacity: 0.5;
    font-weight: 200;
}

/*#endregion*/

/*#region GUIDELINES*/
.section.guidelines .inner {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 1rem;
}

.guidelines-table {
    border: solid 0.1rem var(--border);
    border-radius: 0.6rem;
    width: 100%;
    overflow: hidden;
}

.guidelines-table .header {
    background-color: var(--surface);
    padding: 0.3rem 0.5rem;
}

.guidelines-table .header .title {
    font-size: 0.8rem;
    font-weight: 800;
}

.guidelines-table .header .title .text {
    opacity: 0.7;
}

.section.guidelines.visible .symbol {
    display: inline-block;
    animation: popIn 0.3s cubic-bezier(.23, 1, .32, 1) both;
}

.guidelines-table .header .title .symbol.yes {
    color: #19ce6b;
    animation-delay: 0.1s;
}

.guidelines-table .header .title .symbol.no {
    color: #e91111;
    animation-delay: 0.15s;
}

.guidelines-table ul {
    list-style: none;
    margin-left: 0;
    padding-left: 0.5rem;
    font-size: 0.9rem;
}

.guidelines-table ul li {
    padding-left: 1rem;
    position: relative;
}

.guidelines-table ul li:last-child {
    padding-bottom: 0.5rem;
}

.guidelines-table:first-child ul li::before {
    content: '»';
    position: absolute;
    left: 0;
    opacity: 0.35;
    font-size: 0.9rem;
}

.guidelines-table:last-child ul li::before {
    content: '–';
    position: absolute;
    left: 0;
    opacity: 0.35;
    font-size: 0.9rem;
}

/*#endregion*/

/*#region TOS*/
.section.ToS {
    font-size: 0.9rem;
}

.buttons-container {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: flex-end;
    gap: 0.6rem;
}

.tos-button {
    border: solid 0.06rem var(--border);
    background-color: var(--bg);
    color: var(--text);
    border-radius: 3rem;

    padding: 0 0.5rem;

    font-size: 0.7rem;
    font-weight: 600;

    opacity: 0.7;

    cursor: pointer;
}

.tos-button:hover {
    border-color: var(--text);
    opacity: 1;
}

.terms-section .title {
    display: flex;
    flex-direction: row;
    align-items: baseline;
    gap: 0.3rem;

    font-size: 1rem;
    font-weight: 500;

    color: var(--accent);
}

.terms-section .sub-title {
    display: flex;
    flex-direction: row;
    align-items: baseline;
    gap: 0.3rem;

    font-size: 0.9rem;
    font-weight: 500;

    color: var(--accent);

    padding-left: 0.5rem;
}

.terms-section .terms {
    font-weight: 300;
    margin-bottom: 1.5rem;
    /* opacity: 0.8; */
}

.terms-section .terms ol {
    padding-left: 1.5rem;
}

.terms-section .terms ol.sub {
    padding-left: 2.5rem;
}

.terms-section .terms ol li {
    margin-bottom: 0.5rem;
}

.terms-section .terms ol li::marker {
    font-weight: 500;
}

.updated {
    font-size: 0.7rem;
    font-style: italic;
    text-align: center;
    opacity: 0.5;
}

/*#endregion*/

/*#region FAQ*/

.section.FAQ {
    font-size: 0.9rem;
}

.section.FAQ b {
    font-weight: 500;
}

.section.FAQ .section-content {
    gap: 1.5rem;
}

.faq-category .title {
    font-weight: 600;
    font-size: 0.7rem;
    opacity: 0.4;
    text-transform: uppercase;
    margin-bottom: 0.6rem;
}

.faqs-wrapper {
    display: flex;
    flex-direction: column;
    gap: 0.4rem;
    padding-left: 0.5rem;
}

.faq-pair {
    border-bottom: solid 0.1rem var(--border);
    padding: 0.2rem;
}

.faq-pair .q {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;

    cursor: pointer;

    transition: padding-left 0.2s ease;
}

.faq-pair .q:hover {
    padding-left: 0.2rem;
}

.faq-pair .q .text {
    font-weight: 600;
    opacity: 0.7;
}

.faq-pair:hover .q .text, .faq-pair:hover .q .chevron {
    opacity: 1;
}

.faq-pair:active .q .text {
    transform: scale(0.98);
    transition: transform 0.1s ease;
}

.faq-pair.open .q .text {
    color: var(--accent);
    opacity: 1;
}

.faq-pair.open .q:hover {
    padding-left: 0;
}

.faq-pair .q .chevron {
    width: 0.9rem;
    height: 0.9rem;

    background-color: var(--text);

    mask-position: center;
    mask-repeat: no-repeat;
    mask-size: contain;

    mask-image: url('/shared/svg/add.svg');

    opacity: 0.5;

    transition: transform 0.25s cubic-bezier(.23, 1, .32, 1),
        opacity 0.2s,
        width 0.2s,
        height 0.2s,
        background-color 0.2s;
}

.faq-pair.open .q .chevron {
    width: 0.8rem;
    height: 0.8rem;
    background-color: var(--accent);
    opacity: 1;
    mask-image: url('/shared/svg/close.svg');

    transform: rotate(90deg)
}

.faq-pair .a {
    font-weight: 300;
    opacity: 0.8;
    display: none;
}

.faq-pair.open .a {
    display: block;
    padding: 0.4rem 0;
    animation: fadeInA 0.3s ease-out forwards;
}

/*#endregion*/


.home-btn {
    position: fixed;
    top: 0;
    left: 0;
    margin: 0.3rem;

    width: 1.2rem;
    height: 1.2rem;

    background-color: var(--text);

    mask-position: center;
    mask-repeat: no-repeat;
    mask-size: contain;

    cursor: pointer;

    pointer-events: auto;

    z-index: 999;
}

.home-btn:hover {
    background-color: var(--accent);
}

.home-btn {
    mask-image: url("/shared/svg/home_btn.svg");
    transition: transform 0.3s ease;
}

.home-btn:active {
    transform: scale(0.7);
}

@keyframes fadeInSection {
    from {
        transform: translateY(-5px);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes fadeInA {
    from {
        transform: translateY(-3px);
        opacity: 0;
    }

    to {
        transform: translateY(0);
        opacity: 1;
    }
}

@keyframes popIn {
    from {
        transform: scale(0.5);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}

@media (max-width: 1000px) {
    .main-wrapper {
        width: 90%;
    }
}

@media (max-width: 700px) {
    body {
        height: auto;
        min-height: 100vh;
        align-items: flex-start;
    }

    .main-wrapper {
        width: 87%;
        padding: 1rem;
    }

    .page-wrapper {
        flex-direction: column;
        gap: 0;
        overflow: visible;
    }

    .sidebar {
        width: 100%;
        height: auto;
        flex-direction: column;
        gap: 0.8rem;
        padding-bottom: 0.8rem;
        border-bottom: 1px solid var(--border);
        margin-bottom: 0.8rem;
    }

    .sidebar .header {
        justify-content: center;
    }

    .sidebar-section .nav-section {
        flex-direction: row;
        justify-content: center;
        flex-wrap: wrap;
        gap: 0.3rem;
        margin-bottom: 0;
    }

    .sidebar-section .nav-section .section-name {
        font-size: 0.8rem;
        padding: 0.2rem 0.6rem;
        border: 1px solid var(--border);
        border-radius: 2rem;
        opacity: 0.7;
    }

    .sidebar-section .nav-section .section-name.active {
        background-color: var(--surface);
        border-color: var(--accent);
    }

    .sidebar-section .nav-section .section-name:hover {
        padding-left: 0.6rem;
    }

    .sidebar-section .basic-info {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 0.4rem;
    }

    .sidebar-section .basic-info .row {
        font-size: 0.8rem;
        flex-direction: column;
        gap: 0.1rem;
        padding: 0.4rem 0.5rem;
    }

    .content {
        height: auto;
        overflow-y: visible;
    }

    .content .section.visible {
        padding-bottom: 3rem;
    }

    .prices-table .inner {
        flex-direction: column;
        padding-left: 0;
    }

    .section.guidelines .inner {
        flex-direction: column;
    }
}